#!/bin/bash

echo "Install dependencies"
orig_dir=$(pwd)
echo $orig_dir

source ./gitlab-ci/shared.sh

# install bbfdm
install_bbfdm

# compile
set -e
echo "build stage"
cd $orig_dir/src/
pwd
# just the existence of macro INCLUDE_PORT_TRIGGER is checked in code
make CFLAGS='-DINCLUDE_PORT_TRIGGER=\"yes\"'
